Bug 697976 - Review Request: pyrenamer - A mass file renamer
Review Request: pyrenamer - A mass file renamer
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Mario Blättermann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 652177
  Show dependency treegraph
 
Reported: 2011-04-19 15:48 EDT by Jon Ciesla
Modified: 2011-06-03 23:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: pyrenamer-0.6.0-7.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-02 15:07:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mario.blaettermann: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jon Ciesla 2011-04-19 15:48:17 EDT
Description:
With pyRenamer you can change the name of several files at the same time 
easily.
 - You can use patterns to rename files.
 - You can use search & replace to rename files.
 - You can use common substitutions.
 - You can manually rename selected files.
 - You can rename images using their EXIF tags.
 - You can rename MP3s using their ID3 tags.

SPEC: http://zanoni.jcomserv.net/fedora/pyrenamer/pyrenamer.spec
SRPM: http://zanoni.jcomserv.net/fedora/pyrenamer/pyrenamer-0.6.0.1-5.fc14.src.rpm

This has been orphaned so long I can't take ownership, so I'm submitting it for re-review.  rpmlint is clean except for spelling issues, and a bad Source0 URL, which seems to be because the version included isn't available upstream.  I'm not actually sure if it was pulled or something, so if need be I can revert to 0.6.0 and bump the Epoch.
Comment 1 Rex Dieter 2011-04-20 08:31:17 EDT
one small pet-peave of mine, in Summary, I'd suggest dropping "written in PyGTK"
Comment 3 Mario Blättermann 2011-04-27 07:25:10 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3029477

$ rpmlint -v *
pyrenamer.src: I: checking
pyrenamer.src: W: spelling-error Summary(en_US) renamer -> rename, reamer, renames
pyrenamer.src: I: checking-url http://www.infinicode.org/code/pyrenamer/ (timeout 10 seconds)
pyrenamer.src: I: checking-url http://www.infinicode.org/code/pyrenamer/pyrenamer-0.6.0.1.tar.gz (timeout 10 seconds)
pyrenamer.src: W: invalid-url Source0: http://www.infinicode.org/code/pyrenamer/pyrenamer-0.6.0.1.tar.gz HTTP Error 404: Not Found
pyrenamer.noarch: I: checking
pyrenamer.noarch: W: spelling-error Summary(en_US) renamer -> rename, reamer, renames
pyrenamer.noarch: I: checking-url http://www.infinicode.org/code/pyrenamer/ (timeout 10 seconds)
pyrenamer.noarch: W: conffile-without-noreplace-flag /etc/gconf/schemas/pyrenamer.schemas
pyrenamer.spec: I: checking-url http://www.infinicode.org/code/pyrenamer/pyrenamer-0.6.0.1.tar.gz (timeout 10 seconds)
pyrenamer.spec: W: invalid-url Source0: http://www.infinicode.org/code/pyrenamer/pyrenamer-0.6.0.1.tar.gz HTTP Error 404: Not Found
2 packages and 1 specfiles checked; 0 errors, 5 warnings.


The given URL for the tarball doesn't exist. There's a version number 0.6.0 only, no 0.6.0.1 anywhere.

The line

%config %{_sysconfdir}/gconf/schemas/%{name}.schemas

produces the "conffile-without-noreplace-flag" error, please use

%config(noreplace)

instead. However, it can be ignored for GConf schemas, but wouldn't it be nice to make rpmlint happy again...?
Comment 5 Mario Blättermann 2011-04-27 17:15:33 EDT
Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=3031205

$ rpmlint -v *
pyrenamer.src: I: checking
pyrenamer.src: W: spelling-error Summary(en_US) renamer -> rename, reamer, renames
pyrenamer.src: I: checking-url http://www.infinicode.org/code/pyrenamer/ (timeout 10 seconds)
pyrenamer.src: I: checking-url http://www.infinicode.org/code/pyrenamer/pyrenamer-0.6.0.tar.gz (timeout 10 seconds)
pyrenamer.noarch: I: checking
pyrenamer.noarch: W: spelling-error Summary(en_US) renamer -> rename, reamer, renames
pyrenamer.noarch: I: checking-url http://www.infinicode.org/code/pyrenamer/ (timeout 10 seconds)
pyrenamer.spec: I: checking-url http://www.infinicode.org/code/pyrenamer/pyrenamer-0.6.0.tar.gz (timeout 10 seconds)
2 packages and 1 specfiles checked; 0 errors, 2 warnings.

Ignoreable spelling errors only.

---------------------------------
key:

[+] OK
[.] OK, not applicable
[X] needs work
---------------------------------

[+] MUST: The package must be named according to the Package Naming Guidelines.
[+] MUST: The spec file name must match the base package %{name}.
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license.
    GPLv2+
[+] MUST: The License field in the package spec file must match the actual
license.
[+] MUST: The file containing the text of the license(s) for the package must
be included in %doc.
[+] MUST: The spec file must be written in American English.
[+] MUST: The spec file for the package MUST be legible.
[+] MUST: The sources used to build the package must match the upstream source.
    $ md5sum *
    a7159f803cd919ab76f17789189c577b  pyrenamer-0.6.0.tar.gz
    a7159f803cd919ab76f17789189c577b  pyrenamer-0.6.0.tar.gz.packaged

[+] MUST: The package MUST successfully compile and build into binary rpms on
at least one primary architecture.
    - Succesful Koji build available.
[.] MUST: If the package does not successfully compile, build or work on an
architecture, ...
[+] MUST: All build dependencies must be listed in BuildRequires.
[.] MUST: The spec file MUST handle locales properly.
[.] MUST: If a package installs files below %{_datadir}/icons, the icon cache
must be updated.
[.] MUST: Packages storing shared library files (not just symlinks) must call
ldconfig in %post and %postun.
[.] MUST: Packages must NOT bundle copies of system libraries.
[.] MUST: If the package is designed to be relocatable, ...
[+] MUST: A package must own all directories that it creates. 
[+] MUST: A Fedora package must not list a file more than once in %files.
[+] MUST: Permissions on files must be set properly.
[+] MUST: Packages must not provide RPM dependency information when that
information is not global in nature, or are otherwise handled.
[.] MUST: When filtering automatically generated RPM dependency information,
the filtering system implemented by Fedora must be used.
[+] MUST: Each package must consistently use macros.
[+] MUST: The package must contain code, or permissable content.
[.] MUST: Large documentation files must go in a -doc subpackage.
[+] MUST: Files in %doc must not affect the runtime of the application.
[.] MUST: Header files must be in a -devel package.
[.] MUST: Static libraries must be in a -static package.
[.] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), ...
[.] MUST: devel packages must require the base package using a fully versioned
dependency.
[.] MUST: Packages must NOT contain any .la libtool archives.
[+] MUST: Packages containing GUI applications must include a %{name}.desktop
file
[+] MUST: .desktop files must be properly installed with desktop-file-install
in the %install section.
[+] MUST: Packages must not own files or directories already owned by other
packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

[.] SHOULD: If the source package does not include license text(s) as a
    separate file from upstream, the packager SHOULD query upstream...
[+] SHOULD: Timestamps of files should be preserved.
[+] SHOULD: The reviewer should test that the package builds in mock.
    See Koji build above (which uses mock anyway)
[+] SHOULD: The reviewer should test that the package functions as described.
    I assume the packager has tested it.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.
[.] SHOULD: Usually, subpackages other than devel should require the base
package using a fully versioned dependency.
[.] SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg.
[.] SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin,
/usr/bin, or /usr/sbin ...
[.] SHOULD: Your package should contain man pages for binaries/scripts.

-------------------------------------------------------------

PACKAGE APPROVED

-------------------------------------------------------------


For backward compatibility in the future, you should use %{_mandir}/man1/%{name}.1.* instead of %{_mandir}/man1/%{name}.1.gz because the compression format could change. Better we don't refer here to a certain format.
Comment 6 Jon Ciesla 2011-04-28 08:02:03 EDT
Thanks for the review!  I'll fix the manpage compression before import.

New Package SCM Request
=======================
Package Name: pyrenamer
Short Description: A mass file renamer
Owners: limb
Branches: f13 f14 f15 el6 el5
InitialCC:

Note for cvsadmin, this package was formerly in Fedora, orphaned, last built for f12.
Comment 7 Jon Ciesla 2011-05-03 08:40:46 EDT
cvsadmin ping?
Comment 8 Jason Tibbitts 2011-05-05 15:56:28 EDT
Sorry, I have not had the time to pursue the odd cases (just time to run the script) and at this point I think I'm unfortunately the only person processing these.

Everything should be all set now.  As usual with anything I have to do by hand, please double check that things are as you expect and let me know if there are issues.
Comment 9 Jon Ciesla 2011-05-05 16:06:41 EDT
No worries, thanks, looks good so far!  Are you in need of more cvsadmin folk?
Comment 10 Jon Ciesla 2011-05-05 16:22:05 EDT
Needs to be unblocked. 

http://koji.fedoraproject.org/koji/taskinfo?taskID=3052657

Is that a rel-eng Trac, then?
Comment 11 Fedora Update System 2011-05-26 08:29:47 EDT
pyrenamer-0.6.0-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pyrenamer-0.6.0-7.fc14
Comment 12 Fedora Update System 2011-05-26 08:29:56 EDT
pyrenamer-0.6.0-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pyrenamer-0.6.0-7.fc15
Comment 13 Fedora Update System 2011-05-26 08:30:05 EDT
pyrenamer-0.6.0-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pyrenamer-0.6.0-7.fc13
Comment 14 Fedora Update System 2011-05-26 17:48:09 EDT
pyrenamer-0.6.0-7.fc13 has been pushed to the Fedora 13 testing repository.
Comment 15 Fedora Update System 2011-06-02 15:07:33 EDT
pyrenamer-0.6.0-7.fc15 has been pushed to the Fedora 15 stable repository.
Comment 16 Fedora Update System 2011-06-03 22:57:38 EDT
pyrenamer-0.6.0-7.fc13 has been pushed to the Fedora 13 stable repository.
Comment 17 Fedora Update System 2011-06-03 23:05:19 EDT
pyrenamer-0.6.0-7.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.